'use strict';Object.defineProperty(exports, "__esModule", { value: true });exports.replacePathSepForRegex = exports.escapeStrForRegex = exports.escapePathForRegex = undefined;








var _path = require('path');var _path2 = _interopRequireDefault(_path);function _interopRequireDefault(obj) {return obj && obj.__esModule ? obj : { default: obj };}

const escapePathForRegex = exports.escapePathForRegex = dir => {
  if (_path2.default.sep === '\\') {
    // Replace "\" with "/" so it's not escaped by escapeStrForRegex.
    // replacePathSepForRegex will convert it back.
    dir = dir.replace(/\\/g, '/');
  }
  return replacePathSepForRegex(escapeStrForRegex(dir));
}; /**
    * Copyright (c) 2014-present, Facebook, Inc. All rights reserved.
    *
    * This source code is licensed under the MIT license found in the
    * LICENSE file in the root directory of this source tree.
    *
    * 
    */const escapeStrForRegex = exports.escapeStrForRegex = string => string.replace(/[[\]{}()*+?.\\^$|]/g, '\\$&');const replacePathSepForRegex = exports.replacePathSepForRegex = string => {if (!string || _path2.default.sep !== '\\') {return string;
  }

  let result = '';
  for (let i = 0; i < string.length; i += 1) {
    const char = string[i];
    if (char === '\\') {
      const nextChar = string[i + 1];
      /* Case: \/ -- recreate legacy behavior */
      if (nextChar === '/') {
        i += 1;
        result += '\\\\\\\\';
        continue;
      }

      /* Case: \. */
      if (nextChar === '.') {
        i += 1;
        result += '\\.';
        continue;
      }

      /* Case: \\. */
      if (nextChar === '\\' && string[i + 2] === '.') {
        i += 2;
        result += '\\\\.';
        continue;
      }

      /* Case: \\ */
      if (nextChar === '\\') {
        i += 1;
        result += '\\\\';
        continue;
      }

      /* Case: \<other> */
      result += '\\\\';
      continue;
    }

    /* Case: / */
    if (char === '/') {
      result += '\\\\';
      continue;
    }

    result += char;
  }

  return result;
};